#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA6,0x45,0xE6,0x26,0xBA,0x7A,0x30,0x5C,0x65,0x54,0xA5,0xFE,
		0xFD,0x24,0xDF,0x56,0x88,0x06,0xF8,0xBD,0x65,0xD9,0x1D,0xED,
		0x7D,0xE0,0x57,0x10,0x20,0x46,0x08,0x61,0x3B,0x25,0x5B,0x55,
		0x84,0x5A,0x2E,0xAD,0x0B,0x01,0x34,0xFE,0xCD,0xE6,0x19,0x81,
		0x88,0xAB,0x04,0x50,0x76,0xA7,0xC5,0x5A,0x59,0xC0,0xA9,0xDA,
		0xB4,0x97,0x0D,0x67,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
